#include <Eet.h>
#include <Evas.h>

typedef struct _Data_Picture_Infos
{
  char *name;
  char *author_name;
  char *where_from;
  char *date;
  char *comments;
} Data_Picture_Infos;


int main(int argc, char **argv)
 {
   Eet_File *eet;
   Eet_Data_Descriptor *edd;
   Imlib_Image *image;

   Data_Picture_Edd = eet_data_descriptor_new("data_pictures",sizeof(Data_Picture_Infos),
					     (void *)evas_list_next,
					     (void *)evas_list_append,
					     (void *)evas_list_data,
					     (void *)evas_list_free,
					     (void *) evas_hash_foreach,
					     (void *) evas_hash_add,
					     (void *)evas_hash_free);
   EET_DATA_DESCRIPTOR_ADD_BASIC(Data_Picture_Edd, Data_Picture_Infos, "name", name, EET_T_STRING);
   EET_DATA_DESCRIPTOR_ADD_BASIC(Data_Picture_Edd, Data_Picture_Infos, "author_name", author_name, EET_T_STRING);
   EET_DATA_DESCRIPTOR_ADD_BASIC(Data_Picture_Edd, Data_Picture_Infos, "where_from", where_from, EET_T_STRING);
   EET_DATA_DESCRIPTOR_ADD_BASIC(Data_Picture_Edd, Data_Picture_Infos, "date", date, EET_T_STRING);
   EET_DATA_DESCRIPTOR_ADD_BASIC(Data_Picture_Edd, Data_Picture_Infos, "comments", comments, EET_T_STRING);

   eet = eet_open("fav.eet", EET_FILE_MODE_WRITE);
   image = imlib_load_image("./test_images/bg.png");
   
   eet_write(eet, "Version", " 1", strlen(" 1") + 1, 0);
   eet_data_image_write(eet, "1/picture", image, 0,0,0,0,50,0);
   

   eet_close(eet);

 }
