#ifdef E_MOD_DEVIAN_TYPEDEFS
typedef struct _Config_dEvian_Main Config_dEvian_Main;
typedef struct _Config_dEvian Config_dEvian;

#else

#ifndef E_MOD_CONFIG_H_INCLUDED
#define E_MOD_CONFIG_H_INCLUDED

#define CONFIG_VERSION 16

/* Struct for the module configuration */
struct _Config_dEvian_Main
{
  /* General Module Settings */
  int conf_version;
  int high_quality;
  int nb_devian;
  char *theme;

  /* General Sources Settings */
  int source_default;

  char *sources_picture_data_import_dir;
  int sources_picture_data_import_recursive;
  int sources_picture_data_import_thumbs_warn;
  int sources_picture_default_location;
  int sources_picture_set_bg_purge;

  /* General Containers Settings */
  int container_default;
  
  int boxs_always_number;
  int boxs_always_infos;
  int boxs_stacking;
  int boxs_default_max_size;
  int boxs_default_anim;
  int boxs_anim_ghost_timer;
  int boxs_nice_resize;
  int boxs_nice_trans;

  /* General Data Settings */
  int data_picture_thumb_default_size;
  int data_picture_cache_size;

  /* Config for each devian */
  Evas_List *devians_conf;
};

/* Struct for sources config */

struct _Config_dEvian
{
  /* About the source */
  int source_type;
  
  int picture_timer_s;
  int picture_timer_active;

  /* About the container */
  int container_type;

  int box_x;
  int box_y;
  int box_max_size;
  int box_speed;
  int box_auto_resize;
  int box_anim;
};

Config_dEvian_Main *devian_config_init(void);
Config_dEvian_Main *devian_config_load(E_Config_DD *conf_edd);
void devian_config_save(void);
void devian_config_devian_save(dEvian *devian);

void devian_config_free(void);
void devian_config_devian_free(dEvian *devian);

Config_dEvian_Main *devian_config_main_new(void);
Config_dEvian *devian_config_devian_new(Config_dEvian *conf);

#endif
#endif
