#ifdef E_MOD_DEVIAN_TYPEDEFS

typedef struct _Container_Box Container_Box;
typedef struct _Container_Box_Anim Container_Box_Anim;

#else

#ifndef E_MOD_CONTAINER_BOX_H_INCLUDED
#define E_MOD_CONTAINER_BOX_H_INCLUDED

/* Default things */
#define CONTAINER_BOX_STACKING_DEFAULT 1
#define CONTAINER_BOX_STACKING_NORMAL 1
#define CONTAINER_BOX_STACKING_UNDER -1
#define CONTAINER_BOX_STACKING_UPPER 2

#define CONTAINER_BOX_SIZE_DEFAULT 250
#define CONTAINER_BOX_AUTO_RESIZE_DEFAULT 1
#define CONTAINER_BOX_SPEED_DEFAULT 1
#define CONTAINER_BOX_NICE_RESIZE_DEFAULT 1
#define CONTAINER_BOX_NICE_TRANS_DEFAULT 1

#define CONTAINER_BOX_ALWAYS_NUMBER_DEFAULT 0
#define CONTAINER_BOX_ALWAYS_INFOS_DEFAULT 1

#define CONTAINER_BOX_ANIM_DEFAULT 1
#define CONTAINER_BOX_ANIM_NO 0
#define CONTAINER_BOX_ANIM_LINE 1
#define CONTAINER_BOX_ANIM_GOULOUM 2
#define CONTAINER_BOX_ANIM_GHOST 3
#define CONTAINER_BOX_ANIM_BOINGBOING 4

#define CONTAINER_BOX_ANIM_GHOST_TIMER_DEFAULT 20

#define DEVIAN_CONTAINER_BOX_EDJE_MSG_PART_CHANGE_SET 1

struct _Container_Box_Anim
{
  int data[20];
  Ecore_Timer *timer;
};

struct _Container_Box
{
  dEvian *devian;
  E_Gadman_Client *gmc;
  int gmc_init;

  Evas_Object *edje;
  int edje_part; // part actualy show
  Ecore_Animator *animator;
  Container_Box_Anim *anim;
  
  int in_transition;
  int in_resize;

  int x, y;
  int w, h;
  int go_w, go_h;
  int layer;
};

int devian_container_box_add(dEvian *devian);
void devian_container_box_del(Container_Box *container);
void devian_container_box_resize_auto(Container_Box *box);
int devian_container_box_devian_dying(Container_Box *box);

int devian_container_box_edje_part_get(Container_Box *container);
int devian_container_box_edje_part_change(Container_Box *container);
void devian_container_box_edje_part_change_set(Container_Box *box, int action);
int devian_container_box_update_name_devian(Container_Box *box);
void devian_container_box_infos_display_set(Container_Box *box);

int devian_container_box_animation_start(Container_Box *box, int anim_num);
void devian_container_box_random_pos_get(int *x, int *y, int max_size);

#endif
#endif
