#ifdef E_MOD_DEVIAN_TYPEDEFS
typedef struct _dEvian_Main dEvian_Main;
typedef struct _dEvian dEvian;

#else

#ifndef E_MOD_DEVIAN_H_INCLUDED
#define E_MOD_DEVIAN_H_INCLUDED

#define DEVIAN_THEME_DEFAULT "default.edc"
#define DEVIAN_MAX_PATH 200
#define DEVIAN_NAME_LEN 50

dEvian_Main *dEvianM;

/* Struct for module */
struct _dEvian_Main
{
  E_Module *module;
  E_Container *container;
  char *display;

  Evas_Coord canvas_w, canvas_h;
  Evas_List *devians;

  int container_box_count;
  int container_bar_count;

  Evas_List *bars;

  Picture_List_Local *picture_list_local;
  Picture_List_Net *picture_list_net;
  Picture_Cache *picture_cache;

  /* Themes */
  Evas_List *themes;
  int theme_box_border_source_w;
  int theme_box_border_source_h;
  /* Panel and menus */
  E_Config_Dialog *dialog_conf;
  E_Menu *main_menu;
  E_Menu *themes_menu;
  /* Module config */
  E_Config_DD *conf_edd;
  E_Config_DD *conf_edd_devians;
  Config_dEvian_Main *conf;
  
};

/*
  Struct for each dEvian
   Each one has a source and a container
   One dEvian is one information displayed somewhere
*/

struct _dEvian
{
  char *name;

  void *source;
  void *container;

  /* The devian is going to die */
  int dying;

  E_Config_Dialog *dialog_conf;
  Config_dEvian *conf;
  E_Menu *menu;
};

int devian_devian_main_init(E_Module *m);
void devian_devian_main_shutdown(void);

dEvian *devian_devian_add(Config_dEvian *cfg_devian);
void devian_devian_del(dEvian *devian, int now);
void devian_devian_del_all(void);

void devian_devian_set_name(dEvian *devian, int source, char *c2);

char *devian_display_init(void);
void devian_display_shutdown(void);

int devian_devian_edje_load(Evas_Object *edje_obj, char *part);

#endif
#endif
